//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE-----------------------------
package org.huihoo.workflow.xpdl;

import org.huihoo.workflow.WorkflowComponent;
import org.huihoo.workflow.WorkflowXPDLComponent;

public  class ExternalReference implements WorkflowComponent , WorkflowXPDLComponent
{
	protected String xref;
	protected String location;
	protected String namespace;

	public ExternalReference()
	{
	}

	public ExternalReference(String location_)
	{
		this(location_, null, null);
	}

	public ExternalReference(String location_, String namespace_, String xref_)
	{
		this.location = location_;
		this.namespace = namespace_;
		this.xref = xref_;
	}

	public String getNamespce()
	{
		return (this.namespace);
	}

	public void setNamespace(String namespace_)
	{
		this.namespace = namespace_;
	}

	public String getLocation()
	{
		return (this.location);
	}

	public void setLocation(String location_)
	{
		this.location = location_;
	}

	public String getXref()
	{
		return (this.xref);
	}

	public void setXref(String xref_)
	{
		this.xref = xref_;
	}

	public String getTagName()
	{
		return "ExternalReference";
	}
}
